import { r as registerInstance, h } from './index-f1d2a96f.js';
import { o as openWormhole } from './consumer-7a54eb9f.js';

const scCartSubmitCss = "sc-order-submit{display:block;width:auto}";

const ScCartSubmit = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    /** The button type. */
    this.type = 'primary';
    /** The button's size. */
    this.size = 'medium';
    /** Show a full-width button. */
    this.full = true;
  }
  render() {
    return (h("sc-button", { href: this.checkoutLink, type: this.type, size: this.size, full: this.full, loading: this.busy, disabled: this.busy, onClick: () => {
        this.busy = true;
        return true;
      } }, !!this.icon && h("sc-icon", { name: this.icon, slot: "prefix" }), h("slot", null)));
  }
};
openWormhole(ScCartSubmit, ['busy', 'checkoutLink'], false);
ScCartSubmit.style = scCartSubmitCss;

export { ScCartSubmit as sc_cart_submit };
